
QGIS Application - Bug report #15563

QGIS do not preserve z coordinate when copy/paste multipart features in spatialite

2016-09-13 05:20 AM - Darek Bobak

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master_2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23486

Description

When copying features between spatialite layers, QGIS does not preserve z coordinate if the source and destination layer is multipart.

Also, identification tool does not show Z coordinate when identifying multipart features as well as function z in field calculator cannot

calculate z dimension for multipart features. All of the above works well with single part layers.

QGIS master, installed on Windows 10.

Related issues:

Related to QGIS Application - Bug report # 15508: [Processing] Check validity... Closed 2016-09-01

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 03:51 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
